Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# GlyphMetrics Class Reference

(QAbstractFontEngine::GlyphMetrics)

QAbstractFontEngine::GlyphMetrics defines the metrics of a single glyph. More...

     #include <QAbstractFontEngine>

This class is under development and is subject to change.

This class was introduced in Qt 4.3.

- List of all members, including inherited members

## Public Functions

| GlyphMetrics ()

## Public Variables

Fixed | advance
Fixed | height
Fixed | width
Fixed | x
Fixed | y

## Detailed Description

QAbstractFontEngine::GlyphMetrics defines the metrics of a single glyph.

## Member Function Documentation

### GlyphMetrics::GlyphMetrics ()

Constructs an empty glyph metrics object with all values set to zero.

## Member Variable Documentation

### Fixed GlyphMetrics::advance

The advance of the glyph.

### Fixed GlyphMetrics::height

The height of the glyph.

### Fixed GlyphMetrics::width

The width of the glyph.

### Fixed GlyphMetrics::x

The horizontal offset from the origin.

### Fixed GlyphMetrics::y

The vertical offset from the origin (baseline).